
QGIS Application - Bug report #14451

regression: qgis crashes on project load, in QgsMapLayer::hasScaleBasedVisibility

2016-03-09 06:36 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22429

Description

A project which loaded fine yesterday now crashes qgis master.

gdb where output:

#0  0x00007ffff63b5e62 in QgsMapLayer::hasScaleBasedVisibility (this=0x0)

    at /home/webmaster/dev/cpp/QGIS/src/core/qgsmaplayer.cpp:940

#1  0x00007ffff620fc1a in QgsLayerTreeModel::refreshScaleBasedLayers (this=

    0x145a500, idx=...)

    at /home/webmaster/dev/cpp/QGIS/src/core/layertree/qgslayertreemodel.cpp:946

#2  0x00007ffff620fcac in QgsLayerTreeModel::refreshScaleBasedLayers (

    this=0x145a500, idx=...)

    at /home/webmaster/dev/cpp/QGIS/src/core/layertree/qgslayertreemodel.cpp:953

#3  0x00007ffff620e1fe in QgsLayerTreeModel::setLegendMapViewData (

    this=0x145a500, mapUnitsPerPixel=0.0020876826722338203, dpi=96, 

    scale=872567.99237455009)

    at /home/webmaster/dev/cpp/QGIS/src/core/layertree/qgslayertreemodel.cpp:650

#4  0x00007ffff75a4349 in QgisApp::extentChanged (this=0xa7f900)

    at /home/webmaster/dev/cpp/QGIS/src/app/qgisapp.cpp:9565

#5  0x00007ffff7994feb in QgisApp::qt_static_metacall (_o=0xa7f900, 

    _c=QMetaObject::InvokeMetaMethod, _id=255, _a=0x7fffffff9f90)

    at /home/webmaster/dev/cpp/QGIS/bm/src/app/moc_qgisapp.cxx:919

#6  0x00007ffff5c10f60 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#7  0x00007ffff6feb599 in QgsMapCanvas::extentsChanged (this=0xfc9040)

Associated revisions

Revision 52621b9a - 2016-03-10 04:10 AM - Nyall Dawson

Followup a112dfe, fix #14451

History

#1 - 2016-03-09 06:38 PM - Mathieu Pellerin - nIRV

<deleted irrelevant comment>
#2 - 2016-03-09 07:11 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"52621b9a553022b0a86b05cb9b5a4684d880afdc".

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
